# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-Rtree
%global oname Rtree

Name:           python-module-Rtree
Version:        0.7.0
Release:        alt1_2
Summary:        Python wrapper of the spatialindex library

Group:          Development/Python
License:        LGPLv2
# License clarified with Howard Butler; he'll explicitly state it in the next release after 0.7.0
URL:            http://toblerity.github.com/rtree
Source0:        http://pypi.python.org/packages/source/R/%{oname}/%{oname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  spatialindex-devel >= 1.7

# Only works with spatialindex 1.7. I'll probably update spatialindex to 1.7 in other versions of Fedora. Only QGIS uses it so far, which is also a package of mine.
Requires:       spatialindex >= 1.7

BuildArch:      noarch
Source44: import.info

%description
Rtree is a ctypes Python wrapper of the spatialindex library, that
provides a number of advanced spatial indexing features for the 
spatially curious Python user. These features include:

-Nearest neighbor search
-Intersection search
-Multi-dimensional indexes
-Clustered indexes (store Python pickles directly with index entries)
-Bulk loading
-Deletion
-Disk serialization
-Custom storage implementation
 (to implement spatial indexing in ZODB, for example)


%prep
%setup -q -n %{oname}-%{version}

sed -i 's|include-dirs =.*|include-dirs = %{_includedir}/spatialindex|;s|library-dirs =.*|library-dirs = %{_libdir}|' setup.cfg

# Remove pre-built egg info
rm -rf %{oname}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
#TODO: Consider to include further documentation (BR Sphinx)
%doc docs/source/README.txt
%{python_sitelibdir_noarch}/rtree
%{python_sitelibdir_noarch}/%{oname}-%{version}-py*.egg-info

%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.0-alt1_2
- initial fc import

